<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="notificacion">
        <h2 class="jh-entity-heading" data-cy="notificacionDetailsHeading">
          <span v-text="$t('gatewayApp.manillaNotificacion.detail.title')">Notificacion</span> {{ notificacion.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.manillaNotificacion.fechaInicio')">Fecha Inicio</span>
          </dt>
          <dd>
            <span v-if="notificacion.fechaInicio">{{ $d(Date.parse(notificacion.fechaInicio), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaNotificacion.fechaActualizacion')">Fecha Actualizacion</span>
          </dt>
          <dd>
            <span v-if="notificacion.fechaActualizacion">{{ $d(Date.parse(notificacion.fechaActualizacion), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaNotificacion.estado')">Estado</span>
          </dt>
          <dd>
            <span>{{ notificacion.estado }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaNotificacion.tipoNotificacion')">Tipo Notificacion</span>
          </dt>
          <dd>
            <span>{{ notificacion.tipoNotificacion }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaNotificacion.token')">Token</span>
          </dt>
          <dd>
            <div v-if="notificacion.token">
              <router-link :to="{ name: 'TokenDispView', params: { tokenDispId: notificacion.token.id } }">{{
                notificacion.token.tokenConexion
              }}</router-link>
            </div>
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="notificacion.id"
          :to="{ name: 'NotificacionEdit', params: { notificacionId: notificacion.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./notificacion-details.component.ts"></script>
